From 101130f422dd5c01a1459645d7b2a5b8d19720ab Mon Sep 17 00:00:00 2001
From: Martin Jansa <martin.jansa@gmail.com>
Date: Wed, 6 Mar 2019 09:36:11 -0500
Subject: [PATCH] inetutils: define PATH_PROCNET_DEV if not already defined
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

this prevents the following compilation error :
system/linux.c:401:15: error: 'PATH_PROCNET_DEV' undeclared (first use in this function)

this patch comes from :
 http://repository.timesys.com/buildsources/i/inetutils/inetutils-1.9/

Upstream-Status: Inappropriate [not author]

Signed-of-by: Eric Bénard <eric@eukrea.com>

---
 ifconfig/system/linux.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/ifconfig/system/linux.c b/ifconfig/system/linux.c
index e453b46..4268ca9 100644
--- a/ifconfig/system/linux.c
+++ b/ifconfig/system/linux.c
@@ -53,6 +53,10 @@
 #include "../ifconfig.h"
 
 
+#ifndef PATH_PROCNET_DEV
+  #define PATH_PROCNET_DEV "/proc/net/dev"
+#endif
+
 /* ARPHRD stuff.  */
 
 static void
